#!/bin/sh 
PIDFILE=/var/run/openvpn.pid
CONFFILE=/etc/openvpn/client.conf
DNS=/etc/resolv.conf

if [ $(id -u) != 0 ];then
    echo "need be root!"
    echo "sudo $0 ... or su -c \"$0 ...\""
    exit 1
fi

if [ $# != 1 ];then
    echo "$0 start|stop|restart|status|help"
    exit 1
fi

case $1 in
    start)
	echo "starting openvpn...."
	echo "checking if openvpn is running...."
	if [ -f $PIDFILE ];then
	    echo "openvpn is running"
	    exit 2     ##openvpn is running!
	fi
	openvpn $CONFFILE
	if [ $? = 0 ];then
		mv $DNS $DNS.bak
	    echo nameserver 208.67.222.222 > $DNS
	    echo nameserver  208.67.220.220 >> $DNS
	else
	    echo "can't start openvpn,please check your network connection!"
	fi
	;;
    stop)
	echo "stop openvpn and remove PIDFILE"
	if [ -f $PIDFILE ];then
		killall openvpn
		rm $PIDFILE
		mv $DNS.bak $DNS
	else
		echo "openvpn dosen't run."
		exit 2
	fi
	;;
    restart)
	echo "restart openvpn...."
	$0 stop
	$0 start
	;;
    status)
	if [ -f $PIDFILE ];then
	    echo "openvpn is running...."
	    set $(ifconfig tun0 2>/dev/null|grep inet)zz
	    echo -n "you IP: "
	    echo $2|sed 's/地址://'
	    echo -n "remote IP: "
	    echo $3|sed 's/点对点://'
	else
	    echo "openvpn dosen't run."
	fi
	;;
    *)
	echo "$0 start|stop|restart|status|help"
	exit 1
esac
